#ifndef MALACHSCRIPT_PARSEDSTATEMENTKIND_HPP
#define MALACHSCRIPT_PARSEDSTATEMENTKIND_HPP

namespace MalachScript::Parser {
    enum class ParsedStatementKind : uint8_t {
        Unknown,
        Script,
        Class,
        TypeDef,
        Namespace,
        Type,
        ParamList,
        Func,
        VirtProp,
        StatBlock,
        If,
        Assign,
        BinaryExpression,
        Void,
        Literal,
        Return,
        VarAccess,
        Increment,
        Decrement,
        Continue,
        Break,
        For,
    };
}

#endif // MALACHSCRIPT_PARSEDSTATEMENTKIND_HPP
